.block {
    height: 200px;
    width: 200px;
}

.firstBlock {
    background-color: red;
    display: none;
}

.secondBlock {
    background-color: green;
    position: relative;
}

.thirdBlock {
    background-color: black;
    color: red;
    min-width: 300px;
    overflow: hidden;
}

.childBlock {
    background-color: brown;
    height: 100px;
    width: 100px;
    position: fixed;
    top: 0;
}

.fourthBlock {
    background-color: blueviolet;
    float: left;
    line-height: 20px;
}

.fifthBlock {
    background-color: chartreuse;
    float: right;
}

.lastBlock {
    background-color: deeppink;
    border-radius: 20px;
    text-align: center;
    clear: right;
}